Bug 1871299 - Cluster frontend ingress remain available
Summary: Cluster frontend ingress remain available
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Miciah Dashiel Butler Masters
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1809665
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-22 02:28 UTC by Maru Newby
Modified: 2020-10-02 15:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Cluster frontend ingress remain available
Last Closed: 2020-10-02 15:46:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Maru Newby 2020-08-22 02:28:15 UTC
test:
Cluster frontend ingress remain available 

is failing frequently in CI, see search results:
https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=Cluster+frontend+ingress+remain+available

https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=4.5&maxMatches=5&maxBytes=20971520&groupBy=job&search=Cluster+frontend+ingress+remain+available

Frontends were unreachable during disruption for at least 4s of 1h9m47s (0%):

Aug 21 08:57:33.793 E ns/openshift-authentication route/oauth-openshift Route stopped responding to GET requests over new connections
Aug 21 08:57:33.793 E ns/openshift-console route/console Route stopped responding to GET requests over new connections
Aug 21 08:57:33.929 I ns/openshift-authentication route/oauth-openshift Route started responding to GET requests over new connections
Aug 21 08:57:34.006 I ns/openshift-console route/console Route started responding to GET requests over new connections
Aug 21 08:57:35.793 E ns/openshift-console route/console Route stopped responding to GET requests on reused connections
Aug 21 08:57:35.948 I ns/openshift-console route/console Route started responding to GET requests on reused connections
Aug 21 09:36:38.793 E ns/openshift-console route/console Route stopped responding to GET requests on reused connections
Aug 21 09:36:38.982 I ns/openshift-console route/console Route started responding to GET requests on reused connections

Comment 2 mfisher 2020-08-27 16:17:28 UTC
Target set to 4.7 while investigation is either ongoing or not yet started.  Will be considered for earlier release versions when diagnosed and resolved.

Comment 3 Andrew McDermott 2020-09-10 12:00:04 UTC
Iā€™m adding UpcomingSprint, because I was occupied by fixing bugs with
higher priority/severity, developing new features with higher
priority, or developing new features to improve stability at a macro
level. I will revisit this bug next sprint.

Comment 4 Miciah Dashiel Butler Masters 2020-09-11 19:25:43 UTC
The plan is to address this with https://issues.redhat.com/browse/NE-348.  We'll continue tracking this work in the upcoming sprint.

Comment 5 Andrew McDermott 2020-10-02 15:46:14 UTC
Closing as we will track the work in https://issues.redhat.com/browse/NE-348.


Note You need to log in before you can comment on or make changes to this bug.